> ## Documentation Index
> Fetch the complete documentation index at: https://docs.tronrental.com/llms.txt
> Use this file to discover all available pages before exploring further.

# Logs de Webhook

> Visualizar logs recentes de entrega de webhooks

## Logs de Webhook

Retorna as tentativas recentes de entrega de webhooks para depuração.

### Resposta

Array de entradas de log:

<ResponseField name="id" type="number">
  ID da entrada de log
</ResponseField>

<ResponseField name="event_type" type="string">
  Evento que acionou o webhook
</ResponseField>

<ResponseField name="payload" type="object">
  O payload que foi enviado
</ResponseField>

<ResponseField name="response_status" type="number">
  Código de status HTTP do seu servidor
</ResponseField>

<ResponseField name="attempts" type="number">
  Número de tentativas de entrega
</ResponseField>

<ResponseField name="created_at" type="string">
  Timestamp
</ResponseField>

### Exemplo

```bash theme={null}
curl https://api.tronrental.com/v1/webhooks/logs \
  -H "X-API-Key: your_api_key"
```

```json Response theme={null}
[
  {
    "id": 1,
    "event_type": "order.filled",
    "payload": {
      "order_id": 12345,
      "address": "TAddress...",
      "energy_amount": 65000
    },
    "response_status": 200,
    "attempts": 1,
    "created_at": "2026-03-05T12:00:00Z"
  }
]
```
